gnutls_pkcs12_bag_set_privkey(3)

NAME
gnutls_pkcs12_bag_set_privkey - API function

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_bag_set_privkey(gnutls_pkcs12_bag_t bag, gnutls_x509_privkey_t privkey, const char * password, unsigned flags);

ARGUMENTS

gnutls_pkcs12_bag_t bag
    The bag

gnutls_x509_privkey_t privkey
    the private key to be copied.

const char * password
    the password to protect the key with (may be NULL)

unsigned flags
    should be one of gnutls_pkcs_encrypt_flags_t elements bitwise or'd

DESCRIPTION
This function will insert the given private key into the bag. This is just a wrapper over gnutls_pkcs12_bag_set_data().

RETURNS
the index of the added bag on success, or a negative value on failure.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/